/* File: ProcessViewer.java
 * Contains: The definition of the ProcessViewer interface
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Mon Apr 20 14:01:04 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package ix.acp3;

import java.util.*;


/** 
 * The interface that process viewers must implement in order to
 * receive information from the workflow stepper (process model).
 *
 * @see ProcessStatusUpdate
 * @see StatusChange
 * @see ProcessModel
 */

public interface ProcessViewer {

    void statusUpdate(ProcessStatusUpdate update);

    void setProcessModel(ProcessModel model);

}
