/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Thu Sep  7 16:52:00 2000 by Jeff Dalton
 * Copyright: (c) 2000, AIAI, University of Edinburgh
 */

package ix.iplan;

import java.util.*;

import ix.util.*;
import ix.util.lisp.*;

public class Domain extends SchemaTable {

    // public SchemaTable schemaTable = new SchemaTable(); // s.b. protected

    protected ListCollector productSchemas = new ListCollector();

    public Domain() {
	super();
    }

    public void addInitialFact(PVPair fact) {
    }

    public void addProductSchema(ProductSchema s) {
	productSchemas.addElement(s);
    }

    public LList getAllProductSchemas() {
	return productSchemas.contents();
    }

    public void analyseDomain() {

	checkSchemaReferences();

    }

}


// Issues:
// * Should it be possible to do new Domain(String fileName)?
// * get/setSchemas() and get/setInitialFacts()?
// * Should analyseDomain() exist as something the client has to call
//   rather than something that's done automatically.
// * Should Domain contain a SchemaTable rather than be a subclass?
// * Are the initial facts just defaults?  Should we bother?
