/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Sep 12 13:42:36 2000 by Jeff Dalton
 * Copyright: (c) 2000, AIAI, University of Edinburgh
 */

package ix.iplan;

import ix.util.*;
import ix.util.match.*;


public class Effect implements Cloneable {

    public Object when;		// EffectSymbols.S_START or .S_FINISH
    public Object pattern;
    public Object value;

    public Effect(Object when, Object pattern, Object value) {
	this.when = when;
	this.pattern = pattern;
	this.value = value;
    }

    public Effect instantiate(MatchEnv env) {
	try {
	    Effect e = (Effect)clone();
	    e.when = env.instantiateTree(e.when);
	    e.pattern = env.instantiateTree(e.pattern);
	    e.value = env.instantiateTree(e.value);
	    return e;
	}
	catch (CloneNotSupportedException e) {
	    Debug.noteException(e);
	    return null;
	}
    }

    public String toString() {
	return "effect[" + pattern + " = " + value + " at " + when + "]";
    }

}
