/* File: DebugTest.java
 * Contains: Main program for testing some debugging tools.
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Tue Jan 27 19:19:08 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package ix.test;

import java.util.*;
import ix.util.*;


/** A class for testing some debugging tools */

class DebugTest {

  public static void main(String[] argv) {

    Debug.noteln("Hi there");
    Debug.noteln("Here's an int:", 7);
    Debug.noteln("Here's a vector:", new Vector());

    Debug.noteln("Thread:", Thread.currentThread());

    Debug.note("A note ...");
    Debug.note("... in two calls\n");

    Debug.setNoteFile("nowhere/stillnowhere/log.txt");

    // Debug.setNoteFile("/tmp/foo");
    // Debug.noteln("Hi there /tmp/foo!");
    // Debug.setNoteStream(System.out);

    Debug.noteException(new Exception("foo"));

    /* Assertions */

    try {
      Debug.assert(3 == 5, "3 == 5");
    }
    catch(AssertionFailure f) {
      Debug.noteln("Caught: " + f + ", message: " + f.getMessage());
    }

    Debug.assert(3 == 4);

    Debug.noteln("Not reached");

  }

}
