/* Author: Jeff Dalton
 * Updated: Thu Sep 14 17:31:15 2000 by Jeff Dalton
 * Copyright: (c) 2000, AIAI, University of Edinburgh
 */

package ix.view.matrix;

import java.awt.*;
import java.awt.image.*;
import java.io.File;
import java.util.*;

import ix.ip2.*;
import ix.util.*;
import ix.util.lisp.*;

public class ProductMatrix extends MatrixPanel {

    public ProductMatrix(Container parent) {
        super(parent);
    }

    public void defaultState () {

	Vector products = IP2.model.getAllProducts();

	String[] pLabel = new String[products.size() + 1];
	int[] pLevel = new int[products.size() + 1];

	pLabel[0] = "Issues row"; 	// not shown
	pLevel[0] = 0;
	
	for (int i = 1; i < pLabel.length; i++) {
	    pLabel[i] = ((Product)products.elementAt(i - 1)).name;
	    pLevel[i] = 0;
	}

	Debug.noteln("MatrixPanel setting default state");
	loadMatrix(pLabel,
		   pLevel,
		   false,	// don't show issues
		   true,	// show overall
		   "  Status  ", // Overall column label
		   "no COA root ");
    }

    protected void handleStatusUpdate(ProcessStatusUpdate up) {
	// /\/: Maybe should be abstract
	setDrawOn(false);

	// Not clear whether these are needed.
	setNumberOfCOA(0);
	resetToContracted();

	for (Enumeration pe = up.products.elements(); pe.hasMoreElements();) {
	    Product p = (Product)pe.nextElement();
	    int i = getLabelIndex(p.name);
	    setStatus(i, 0, p.status, "");
	}

	setDrawOn(true);

    }

}
